> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth installation URL



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/oauth/url
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/oauth/url:
    post:
      tags:
        - Integration
      summary: Get OAuth installation URL
      operationId: IntegrationController_getOAuthInstallationURL
      parameters:
        - name: integration
          required: true
          in: query
          schema:
            enum:
              - admin-by-request
              - aws
              - axonius
              - bitwarden
              - box
              - checkpoint-firewall
              - checkpoint-harmony
              - cisco-catalyst
              - cisco-duo
              - cisco-meraki
              - cisco-secure-access
              - cisco-umbrella
              - cisco-xdr
              - connectwise-psa
              - crowdstrike-falcon
              - cyberark
              - darktrace
              - email
              - exium
              - fleet-dm
              - fortianalyzer
              - fortinet
              - freshservice
              - generic-json
              - generic-syslog
              - google-alert-center
              - google-chronicle
              - google-directory
              - google-security-center
              - halcyon
              - halo-itsm
              - have-i-been-pwned
              - horizon3
              - hyas-protect
              - ipinfo
              - jamf-pro
              - jamf-protect
              - jira-cloud
              - jira-data-center
              - jumpcloud
              - kandji
              - manage-engine-ad-audit-plus
              - microsoft
              - microsoft-entra
              - microsoft-teams
              - microsoft-teams-v2
              - mimecast
              - ninjaone
              - odoo-helpdesk
              - okta
              - one-password
              - onelogin
              - orca-security
              - pager-duty
              - palo-alto-networks-cortex
              - picus
              - ping-one
              - reversing-labs
              - safebreach
              - sandfly
              - sentinel-one
              - service-now
              - slack
              - sms
              - smtp
              - sonic-wall
              - sophos
              - splunk
              - stairwell
              - tenable-nessus
              - thinkst-canary
              - tracebit
              - unifi
              - vectra
              - watchguard-firebox
              - windows-event-logs
              - wirespeed
              - wiz
              - wordfence
              - zscaler-zpa
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddIntegrationFieldsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUrl'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
components:
  schemas:
    AddIntegrationFieldsDto:
      type: object
      properties:
        retentionType:
          type: string
          enum:
            - THIRTY_DAYS
            - NINETY_DAYS
            - ONE_YEAR
          description: Retention period for raw data ingested by the integration
        fields:
          description: Integration configuration fields
          type: array
          items:
            $ref: '#/components/schemas/AddIntegrationField'
        externalRedirect:
          type: string
          description: >-
            External URL to redirect to after OAuth completes instead of the
            default callback
    IntegrationUrl:
      type: object
      properties:
        url:
          type: string
          description: URL for the integration endpoint
      required:
        - url
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    AddIntegrationField:
      type: object
      properties:
        name:
          type: string
          description: Name of the integration field
        value:
          type: string
          description: Value for the integration field
      required:
        - name
        - value

````